#include<bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    int brR = 0, brD = 0;
    char c;
    while(cin>>c) {
        if(c == 'L') brR--;
        if(c == 'R') brR++;
        if(c == 'U') brD--;
        if(c == 'D') brD++;
    }

    if(brD > 0) {
        for(int i = 0; i < brD; i++) {
            cout<<'U';
        }
    }
    if(brD < 0) {
        for(int i = 0; i > brD; i--) {
            cout<<'D';
        }
    }
    if(brR > 0) {
        for(int i = 0; i < brR; i++) {
            cout<<'L';
        }
    }
    if(brR < 0) {
        for(int i = 0; i > brR; i--) {
            cout<<'R';
        }
    }
    if(brD == 0 && brR == 0) cout<<'0';
    cout<<endl;

    return 0;
}
